program Project1;

{$APPTYPE CONSOLE}

var
  f1,f2: textfile;
  n,a,b: extended;

begin
  assignfile(f1,'D.in');
  assignfile(f2,'D.out');
  reset(f1);
  rewrite(f2);
  readln(f1,n,a,b);
  writeln(f2,n-a+b:0:0);
  closefile(f1);
  closefile(f2);
end.
